Subject: Re: [Sipping] draft-ietf-sipping-torture-tests-02 questions

From: Robert Sparks <[email-masked]>
Date: Wed, 10 Dec 2003 11:04:41 -0600

Responses inline.

On Mon, 2003-12-01 at 10:48, Stuart Miller wrote:
> Hi,
> 
> I have two questions regarding the Torture Tests draft version 02:
> 
> 1)  For, 3.3.7 Unknown authorization scheme, does the Authorization line
> follow the
>      correct syntax?  I was told that
>          Authorization: NoOneKnowsThisScheme opaque data here
> 
>      needs to be changed to something like
>          Authorization: NoOneKnowsThisScheme param1=opaquedatahere1234
> 
>      Is this person correct?

Hmm.

I built that line using the logic "If you don't know the scheme,
you don't know the format of the bits after the scheme - all you can do
is look for the end of the header field line."

Reviewing 3261's ABNF, it looks like we may be forcing any new scheme
to be followed only by one or more paramname=paramvalue statements.
I don't know if that was the intent, but we'll adjust the torture-test
draft to match this.

> 2)  For, 3.1.1.2 Wide range of valid characters, the line with
> 
>          extensionHeader-!.%*+_`'~=
> 
>      does not have a colon following "extensionHeader".  Does it need to
> have the colon?

Yes, there is a bug here, but it's not where you expected.
The header field name on this line _is_ "extensionHeader-!.%*+_`'~"
The bug was the equal-sign should have been a colon.

> 
> Thank you,
> Stu Miller
> Ulticom, Inc
> [email-masked]
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP